RK-J - Task #3148

Feature # 3082 (Closed): Create a JS (without any JS framework) site with limited pages

Changes to the folder structure.
07/26/2023 06:10 AM - Ayush Khandelwal

Status: Closed Start date: 07/26/2023
Priority: High Due date: 07/26/2023
Assignee: Ayush Khandelwal % Done: 60%
Category: Estimated time: 3.00 hours
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

Folder Structure:

onlyjs
- scripts
— home
- home. js
- about-us
- about-us. js
- contact-us
- contact-us. js
- document
- document. js
- bobbing-pointer.js
- privacy-policy
- privacy-policy.js

— assets
- images
- bookmark. jpg
- icons
- rapidken.png
- styles
— this will contain any third party css like
- styles
- home.css
- about-us.css
- shared
- scripts
- config.js
- modal.js
- views
- header
- header.html
- search-bar.html
- footer
- footer.html
- styles
- header.css
- footer.css
- views
— home.html
- about-us.html

How to include one html file into another?

'bootstrap.css'

Reference: https://stackoverflow.com/questions/8988855/include-another-html-file-in-a-htmi-file

html:
https://stackoverflow.com/questions/8988855/include-another-html-file-in-a-html-file

<div data-include="header.html"></div>

javascript: (put this code in config.js and include it in the head tag of the html file)

document .addEventListener ("DOMContentLoaded", function() {
var includes = document.querySelectorAll ("[data-include]");
includes.forEach (function (include) {
var file = "views/" + include.dataset.include + ".html";
fetch(file)
.then (function (response) {
return response.text ();
})
.then (function (data) {
include.innerHTML = data;
})
.catch (function (error) {
console.error ("Error loading the file:", error);

History

#1 - 07/26/2023 06:12 AM - Ayush Khandelwal

- Description updated

#2 - 07/26/2023 06:15 AM - Rishabh Rai

- Status changed from New to In Progress

#3 - 07/26/2023 08:56 AM - Ram Kordale
- Priority changed from Urgent to High

#4 - 07/26/2023 09:55 AM - Rishabh Rai
- % Done changed from 0 to 60

#5 - 11/24/2023 08:05 AM - Ayush Khandelwal

- Status changed from In Progress to Resolved

#6 - 11/24/2023 08:05 AM - Ayush Khandelwal
- Status changed from Resolved to Closed

- Assignee changed from Rishabh Rai to Ayush Khandelwal
